OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Variables
script_info.hpp File Reference

ScriptInfo keeps track of all information of a script, like Author, Description, ... More...

`#include <squirrel.h>`
`#include "../misc/countedptr.hpp"`
`#include "script_config.hpp"`

Go to the source code of this file.

## Data Structures
class | ScriptInfo
| All static information from an Script like name, version, etc. More...

## Variables
static const int | MAX_SL_OPS = 100000
| The maximum number of operations for saving or loading the data of a script.
static const int | MAX_CONSTRUCTOR_OPS = 100000
| The maximum number of operations for initial start of a script.
static const int | MAX_CREATEINSTANCE_OPS = 100000
| Number of operations to create an instance of a script.
static const int | MAX_GET_OPS = 1000
| Number of operations to get the author and similar information.
static const int | MAX_GET_SETTING_OPS = 100000
| Maximum number of operations allowed for getting a particular setting.

## Detailed Description

ScriptInfo keeps track of all information of a script, like Author, Description, ...

Definition in file script_info.hpp.

## Variable Documentation

const int MAX_CONSTRUCTOR_OPS = 100000
| static

The maximum number of operations for initial start of a script.

Definition at line 23 of file script_info.hpp.

Referenced by ScriptInstance::GameLoop().

const int MAX_CREATEINSTANCE_OPS = 100000
| static

Number of operations to create an instance of a script.

Definition at line 25 of file script_info.hpp.

Referenced by ScriptInfo::Constructor().

const int MAX_GET_OPS = 1000
| static

Number of operations to get the author and similar information.

Definition at line 27 of file script_info.hpp.

Referenced by AIInfo::Constructor(), GameInfo::Constructor(), GameLibrary::Constructor(), AILibrary::Constructor(), and ScriptInfo::Constructor().

const int MAX_GET_SETTING_OPS = 100000
| static

Maximum number of operations allowed for getting a particular setting.

Definition at line 29 of file script_info.hpp.

Referenced by ScriptInfo::GetSettings().

const int MAX_SL_OPS = 100000
| static

The maximum number of operations for saving or loading the data of a script.

Definition at line 21 of file script_info.hpp.

Referenced by ScriptInstance::CallLoad(), and ScriptInstance::Save().